# Uses of Class
org.apache.commons.math3.optim.linear.LinearConstraint

Packages that use LinearConstraint
Package
Description
org.apache.commons.math3.optim.linear
Optimization algorithms for linear constrained problems.

## Uses of LinearConstraint in org.apache.commons.math3.optim.linear

Methods in org.apache.commons.math3.optim.linear that return types with arguments of type LinearConstraint
Modifier and Type
Method
Description
`Collection<LinearConstraint>`
LinearConstraintSet.`getConstraints()`
Gets the set of linear constraints.
`protected Collection<LinearConstraint>`
LinearOptimizer.`getConstraints()`
Constructors in org.apache.commons.math3.optim.linear with parameters of type LinearConstraint
Modifier
Constructor
Description
``
`LinearConstraintSet(LinearConstraint... constraints)`
Creates a set containing the given constraints.
Constructor parameters in org.apache.commons.math3.optim.linear with type arguments of type LinearConstraint
Modifier
Constructor
Description
``
`LinearConstraintSet(Collection<LinearConstraint> constraints)`
Creates a set containing the given constraints.